.Dd 2016-06-12
.Dt NCI-DELETE-ASSIGNMENT-GROUP 1
.Os
.Sh NAME
.Nm nci-delete-assignment-group
.Nd Delete a group of assignments in a Canvas installation, optionally moving the stored assignments to another group
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Fl g
.Ar group-id
.Oo
.Fl t
.Ar target-group-id
|
.Fl p
.Oc
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and deletes the assignment group with the given id. If a target group
id is given, Canvas will move all assignments from the deleted group
to the target group. If
.Fl p
is given, the assignments present in the group will be purged.  One of
.Fl p
or
.Fl t
must be provided.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl g
The
.Ar group-id
to delete, as returned by
.Xr nci-list-assignments 1 .
.It Fl t
Set the
.Ar target-group-id ,
the id of the assignment group to which to move all assignments in the
to-be-removed group. Mutually exclusive with
.Fl p .
.It Fl p
Purge assignments in this group. Mutually exclusive with
.Fl t .
.El
.Sh EXAMPLES
.Dl % nci-delete-assignment-group -c 1187637 -g 1560872 -p
.Pp
.Dl % nci-delete-assignment-group -c 1187637 -g 1560872 -t 1560882
.Sh SEE ALSO
.Xr nci 1
.Xr nci-create-assignment-group 1
.Xr nci-edit-assignment-group 1
.Xr nci-list-courses 1
.Xr nci-list-assignments 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
